=======================================================================
This file lists changes to the LaTeX2e files in reverse chronological order.
It is provided for convenience only.  It therefore makes no claims to
completeness or accuracy and it contains some references to files that
are not part of the distribution.
=======================================================================

================================================================================
All changes above are only part of the development branch for the next release.
================================================================================

#########################
# 2026-06-01 Release
#########################

2026-05-06  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* hhline.dtx: fix error in tagging/66

2026-05-04  Liam Huang  <liamhuang0205@gmail.com>

	* varioref.dtx: Added option chinese (CTeX-org/ctex-kit#271)

2026-02-24 Joseph Wright  <Joseph.Wright@latex-project.org>

	* array.dtx: Avoid 'fake math' in tabulars

2026-01-29  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* longtable.dtx: change \m@th for tagging/1192

2026-01-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx:	Updated Hungarian defaults and added option hungarian (gh/1977)

2026-01-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx: The new hooks are done as v2.7 and a rollback version v2.6 was added

2026-01-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx,longtable.dtx: Add hooks to support third-party extension
	packages better. First use case is fcolumn.sty.

	In longtable the hooks are only executed if array is also loaded.

2025-12-31  Jürgen Spitzmüller  <juergen@spitzmueller.org>

	* varioref.dtx:  Add \DeclareVrefOptions to declare multiple identical
	 options in one go; support Swiss Standard German.

2025-12-23  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx:  Use finite shrink after the table foot (gh/1907)

2025-11-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (subsection{A note on the allowed content of ...):
	Explain a restriction in array (gh/1539)

#########################
# 2025-11-01 Release
#########################

2025-10-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Take out the definitions for \leftmark and \rightmark
	as they are for some time in the kernel (gh/1887)

2025-10-21  David Carlisle  <David.Carlisle@latex-project.org>

	* bm.dtx:  handle tokens defined via \chardef (gh/1868)

	* dcolumn.dtx: Clarify \rightdots are from examples in the
	array package doc (gh/1769)

2025-10-13  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx
	Call \@expl@@@mark@update@singlecol@structures@@
	in the LT output routine to update the new page mark handling code gh/1814

2025-09-25  David Carlisle  <David.Carlisle@latex-project.org>

	* array.dtx: double @@ for l3doc conventions

2025-09-24  David Carlisle  <David.Carlisle@latex-project.org>

	* array.dtx: Check \currentgrouptype  in \par (gh1864)

2025-09-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The Environment Definitions}):
	Use \UseMathForPositioningText to identify "fake math" (tagging/973+983)

2025-07-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{Building and calling \texttt{\textbackslash halign}}):
	Move \tbl_init_cell_data_for_table: from \ar@ialign to the
	beginning of \@array where it is better placed.
	Also set \g_@@_table_cols_tl in that macro rather than doing it in a
	separate command.

2025-06-04  Joseph Wright  <Joseph.Wright@latex-project.org>

	* enumerate.dtx, rawfonts.dtx, somedefs.dtx, theorem.dtx, verbatim.dtx
	Add 'historical' notice
	* tools-overview.tex
	Add 'historical' markers

#########################
# 2025-06-01 PL1 Release
#########################

2025-06-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}):
	Fix gh/1730 correctly, the problem wasn't \arraystretch
	but fully empty cells (gh/1765)

#########################
# 2025-06-01 Release
#########################

2025-05-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}}):
	Ensure \cs{arraystretch} is taken into account inside a tabular (gh/1730)

2025-03-01  David Carlisle  <David.Carlisle@latex-project.org>

	* calc.dtx: delay amstext test until \begin{document} to allow
	different package loading orders.


2025-02-18  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* array.dtx: add sockets for luamml support.
	* array.dtx: move latex-lab-math patches of \@tabular

2025-01-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: Describe how to make any of the \reftext...
	text strings empty, by using \unskip (gh/1622)

2024-12-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Tagging support}):
	Use new socket conditional.

2024-12-22  David Carlisle  <David.Carlisle@latex-project.org>

	* xr.dtx: additional documentation of problems with
          incompatible citation packages (gh/1588)

2024-12-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}):
	Expand argument of \@startpbox exactly once while the preamble is built
	and use \@@startpbox@action later to do the real work (gh/1585)

	* longtable.dtx (subsection{The \env{longtable} environment}):
	Initialize \@startpbox@action instead of \@startpbox
	to match array change (gh/1585)

2024-11-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Tagging support}):
	Added another socket to support tagging.

2024-11-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Supporting the new mark mechanism}):
	Drop the legacy support for marks and use the new mark
	mechanism throughout.
	\usepackage{multicol}[=v1.9] reverts to previous approach.

	Change the definition of \leftmark and \rightmark to use the new
	mechanism and not any longer the legacy on.

2024-11-03  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* calc.dtx: suspend tagging in \@settodim (tagging/628)

#########################
# 2024-11-01 Release
#########################

2024-10-30  David Carlisle  <David.Carlisle@latex-project.org>

	* amsmath.dtx: Guard the \protect tests from primitive if tokens
	in the definition (gh/1448)

2024-10-27  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx Guard against increasing \pagegoal past \maxdimen (gh/1495)


2024-10-12  Joseph Wright  <Joseph.Wright@latex-project.org>

	* array.dtx (section{The insertion of declarations ...}):
	Further work on handling optional arguments in the argument
	of >{...} to work around a master counter oddity (gh/1468)

2024-09-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The insertion of declarations ...}):
	Stop parsing too far for an optional argument if >{...} ends in a command
	with a trailing optional arg (gh/1468)

2024-09-17  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* multicol.dtx: add tagging support  (tagging/705)

2024-09-12  David Carlisle  <David.Carlisle@latex-project.org>

	* build.lua, tools.ins:
	Modify fileerr extraction to write rename-to-empty-base.tex rather than .tex
	to comply with expected security change in texlive 2025
	build.lua modified to rename rename-to-empty-base.tex to .tex after unpacking.

2024-08-13  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* longtable.dtx:
	store row number of head also if it ends with a \cr
	 (tagging-project-gh/554).

2024-07-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (subsection{Handling \cs{cline}}):
	Support for tagging \cline (tagging/134)

2024-07-04  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* longtable.dtx:
	Added \LTcaptype (from package ltcaption) to support other types
	beside table and to support unnumbered longtables (gh/1377).


2024-06-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	Update documentation to reflect that \sloppy isn't using
	\tolerance=10000 any longer (it did in the early days of LaTeX)
	(gh/1385)

2024-06-14  David Carlisle  <David.Carlisle@latex-project.org>

	* array.dtx move \ExplSyntaxOff earlier so error message spaces preserved gh/1378


#########################
# 2024-06-01 Release
#########################

2024-05-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx:
	* longtable.dtx:
	* multicol.dtx:
	* showkeys.dtx:
	* varioref.dtx:
	Do not error with "suspicous date" when rolling back to
	early years of LaTeX2e (gh/1336)

2024-05-09  Yukai Chou  <muzimuzhi@gmail.com>

	* amsmath.dtx:
	Fix typo in comment, \Umathcar -> \Umathchar (gh/1343)

2024-04-10  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* xr.dtx:
	Merged in the code from xr-hyper. This extends xr to properly support
	targets and links and also adds support for properties (gh/1180).

2024-04-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The insertion of declarations):
	Do not \unskip if in math mode, this way explicit spaces at the
	end of the math cell remain as it is with array env in core LaTeX (gh/1323)

2024-03-13  David Carlisle  <David.Carlisle@latex-project.org>

	* l3sys-query.dtx
	New package, providing a document interface to the l3sys-query Lua script.

2024-01-22 Lars Madsen <daleif@math.au.dk>

        * verbatim.dtx: added TAB marking support to \verbatiminput* (gh/1245)

2023-12-16  David Carlisle  <David.Carlisle@latex-project.org>

	* showkeys.dtx: avoid adding extra box to \@labels gh/1123

2023-12-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* longtable.dtx:
	Support for tagged PDF
	Manage and provide cell indexes

2023-12-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx:
	Support for tagged PDF
	Manage and provide cell indexes

2023-12-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* tabularx.dtx:
	Require newer LaTeX kernel (that supports tagging)
	Suspend any tagging while doing trial typesetting

2023-11-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Maintaining the mark registers}]):
	Get rid of forced breaks for mark extraction (gh/1130)

#########################
# 2023-11-01c Release
#########################

2023-11-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* verbatim.dtx (subsection{Preliminaries}):
	Update code so that \verb does not show visible spaces (gh/1160)

#########################
# 2023-11-01b Release
#########################

2023-11-01  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: corrrect year in date

#########################
# 2023-11-01 Release
#########################

2023-08-25  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* longtable.dtx: use \everypar to insert the strut in \LT@startpbox
      to match the array use, github/1128

#########################
# 2023-06-01 Release
#########################

2023-05-11  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* showkeys.dtx: Use label hook if format new enough.

2023-04-15  David Carlisle  <David.Carlisle@latex-project.org>

	* shellesc.dtx: Normalise use of "." in messages. github/1008

2023-03-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{The output routines}]):
	Make column min depth customizable through the command
	\multicolmindepthstring defaulting to 'p' (gh/698)

2023-02-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	Delay returning boxed multicols so that all parameters get restored first
	in case the boxed multicols is used into another multicols (gh/1002)

#########################
# 2022-11-01 Release
#########################

2022-09-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}):
	Test against \strutbox height to determine if an m-cell contains
	 only a single line (gh/766)

#########################
# 2022-06-01 Release
#########################

2022-04-12  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* showkeys.dtx: Adapt to starred references, update varioref support.
      Added rollback to 2014-10-28

2022-01-05  David Carlisle  <David.Carlisle@latex-project.org>

	* bm.dtx: Guard \nolimits@ for gh issue 744

2021-12-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Manual column breaking} \label{sec:colbreak}):
	Added a missing guard in \newcolumn -- it only worked in hmode (sx/624940)

2021-11-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Added rollback to v1.8 (2019-10-01 release)

2021-11-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* All *.dtx: Replaced \StopEventually by \MaybeStop

#########################
# 2021-11-15 Release
#########################

2021-10-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Manual column breaking} \label{sec:colbreak}):
	Corrected and error message text (gh/703)

2021-10-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	swap names of \mult@gfirstbox and \mult@firstbox because wrong (gh/701)
	drop one unnecessary box allocation (gh701)

2021-10-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	Added optional argument to \columnbreak and implemented \newcolumn (gh/682)

2021-09-01  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: add \@nobreakfalse for github/173 and \if@noskipsec for (gh/131)

2021-07-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The Environment Definitions}):
	Cancel any outside \mathsurround on the outside of tabular which is
	internally execuded in math mode (gh/614)

2021-07-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx (subsubsection{Supporting ranges}):
	Use 3 additional (empty) arguments as default in case
	nameref is active (sx/603948)

2021-07-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{The output routines}]):
	Removed spurious but harmless empty line (\par) in
	code.

#########################
# 2021-06-01 Release
#########################

2021-05-07  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: write lists of tables entry to the file with
	extension \ext@table, not force .lot (github/561)

2021-04-25  David Carlisle  <David.Carlisle@latex-project.org>

	* bm.dtx: guard \kernel@ifnextchar (gh/554)
	* bm.dtx: options to control poor man's bold and warnings (gh/71)

2021-04-21  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: make \\ robust (gh/548)

2021-04-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The line separator \\}):
	Use \protected for \\ variant (gh/548)}

2021-04-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* trace.dtx:
	Add support for \tracingstacklevels and \tracinglostchars=3.

2021-04-18  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: silence \vsplit with \vbadness in addition to \vfuzz
	  https://tex.stackexchange.com/a/71121

2021-03-28  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: \reset@font in captions gh/133

	* longtable.dtx: Allow paragraphs in footnotes gh/364

2021-03-10  Johannes Braams  <Johannes.Braams@latex-project.org>

	* layout.dtx: (subsection{Options}):
	Option romanian added (gh/529)

2021-02-25  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx
	(subsection{User Settable Parameters}):
	Increase default chunksize from 20 to 200

	(subsection{The \env{longtable} environment}):
	Guard against shrink glue on current page tools/3396 and gh/183
	Rearrange vertical space tests for tools/3512 (floats on same page)

	(subsection{The {\ttfamily\bslash\bslash} and \cs{kill} Commands}):
	allocated global box  (tools/2914)

	(subsection{The Output Routine}):
	Remove box from final page gh/3512

2021-02-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}):
	Explicitly run \par at the end of pboxes in preparation for
	paragraph hooks

2020-07-25  Johannes Braams  <Johannes.Braams@latex-project.org>

	* layout.dtx: (subsection{Options}):
	Option japanese added (gh/353)

#########################
# 2020-10-01 Release
#########################

2020-08-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: Updated suppor for Japanese (gh/352 and gh/369)

2020-07-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (subsection{Support for \firsthline ...):
	Ensure that the tabular width isn't changed (gh/322)

	* array.dtx (subsection{Handling of rules}):
	Clarified the handling of rules, no code change (gh/319).

	* varioref.dtx (subsection{Options}):
	Option japanese added (gh/352)

2020-06-06  Johannes Braams  <Johannes.Braams@latex-project.org>

	* verbatim.dtx: Save the value if \@filef@und before the call to
	\@verbatim to make sure that \verbatiminput reads the right
	file. (gh/222).

2020-05-10  Johannes Braams  <Johannes.Braams@latex-project.org>

	* xr.dtx: Remove leading and trailing spaces from the argument to
	\externaldocument, making sure that spaces *in* filenames are
	supprted (gh/217).

2020-04-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The line separator \\):
	Don't define \@yargarraycr unnecessarily (gh/152)

2020-04-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (subsection{Implementing column types w and W}):
	Use \d@llarbegin and \d@llarendde so that cell is typeset by
	default in math mode inside array; the use of >{$} ... <{$}
	to make such a column text mode remains possible
	(gh/297)  --- this is a breaking change!


2020-02-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (subsection{Implementing column types w and W}):
	Unbox collected material so that stretchable glue
	inside can act (gh/270)

#########################
# 2020-02-02 Release
#########################

2020-01-15  David Carlisle  <David.Carlisle@latex-project.org>

	* tabularx.dtx: Avoid .. at end of the Target width debug message.

2020-01-07  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: additional \endgraf for
	https://github.com/davidcarlisle/dpctex/issues/8

2020-01-04  David Carlisle  <David.Carlisle@latex-project.org>

	* hhline.dtx: Allow and ignore spaces in the \hhline argument.

2019-12-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	Support up to 20 columns instead of 10; also ensure that
	the insert boxes are not clobbered (gh/237)

2019-10-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Use \@maxdepth not \maxdepth (gh/190)

#########################
# 2019-11-10 PL 3 Release
#########################

2019-11-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* verbatim.dtx: support \vervisiblespace with luatex and xetex (gh/212)

2019-11-08  David Carlisle  <David.Carlisle@latex-project.org>

	* (shellesc): restore the original catcode of _ to _ not to "

#########################
# 2019-11-08 Release
#########################

2019-11-08  David Carlisle  <David.Carlisle@latex-project.org>

	* (shellesc): restore the original catcode of _ to _ not to "

#########################
# 2019-10-01 PL 2 Release
#########################

2019-11-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx (subsection{Defining the main macros}):
	Support (mis)use of internal interface by fancyref (sx/515106)

2019-10-17  David Carlisle  <David.Carlisle@latex-project.org>

	* shellesc.dtx: protect against active _ and "

2019-10-13  David Carlisle  <David.Carlisle@latex-project.org>

	* shellesc.dtx: add logging in luatex and \ShellEscapeStatus (gh/195)

#########################
# 2019-10-01 Release
#########################

2019-09-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx (subsection{Options}:
	Option arabic added

2019-08-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx: Add a necessary \expandafter so that redefinitions
	of primitive specifiers	give a warning (github/148)

2019-08-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: \labelformat and \Ref now available in the kernel
        so removed from this package but only if running on new kernel

	(subsection{Options}):
	Provide options space and nospace

	(subsection{Defining the main macros}):
	Don't drop a preceding space completely but reinsert it later
	after setting a label;
	Command \vp@gerefstar, \vref@star and \Vref@star added to support
	hyperref better

	(subsubsection{Supporting ranges}):
	Added \vpagerefcompare, \vpagrefnearby and \vpagerefcomparenearby

2019-03-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{The output routines}):
	Provide minrows counter for balancing.

2019-02-06  David Carlisle  <David.Carlisle@latex-project.org>

	* longtable.dtx: Document the extra color groups

#########################
# 2019-01-05 Release
#########################

2019-01-05  David Carlisle  <David.Carlisle@latex-project.org>

	* xr.dtx: Fix to last update to avoid breaking \include handling.
	(gh/106)

2018-12-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \texttt{\textbackslash @classz}):
	Add extra \hskip1sp to guard against an \unskip at the start of
	a c-column cell (gh/102)

2018-12-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{The output routines}):
	Removed dead code, the case where this can go wrong is too
	obscure to worry about it (gh/101)

#########################
# 2018-12-01 Release
#########################

2018-11-13    <Frank.Mittelbach@latex-project.org>

	* array.dtx: Do not expand argument of \@startpbox
	while building the tabular preamble (sx/459285)

2018-11-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:
	Support star with \docolaction (test first then execute)

2018-10-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* trace.dtx (section{Implementation}):
	Only reset \tracingoutput if not set by \showoutput earlier

2018-10-01  David Carlisle  <David.Carlisle@latex-project.org>

	* xr.dtx: Update to handle \if tests in the aux file.
	  https://tex.stackexchange.com/a/452321

2018-09-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx (section{The macros \@classz):
	Add group to prevent color leak (github/72)

#########################
# 2018-04-01 PL 5 Release
#########################

2018-06-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx (subsection{Not balancing the columns}):
	Re-add end penalty for multicols* environment to guard
	against leftovers (gh/53)

2018-04-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx Explicitly place the row strut inside \\ before
	hitting \cr in case the last cell is a multicolumn cell
	(issue 42)

2018-04-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: restoring column status when leaving a boxed
	multicols so that any further \docolaction will know the
	currect column (issue/39)

2018-04-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx: Renamed internal \mcell@box to
	\ar@mcellbox and \align@mcell to \ar@align@mcell
        to avoid conflict with makecell package

2018-01-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx:  use a single output routine that does both
	balancing and cutting rather than changing them

2017-11-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx: fixed bug reported on stack exchange SX68732 about
	bad vertical placement with last column being an m-column

	* array.dtx: fixed bug with m-cells when \extrarowheight is used

	* array.dtx: added w and W column types to support lcr columns with
	fixed width
        (see TUB paper in 38/2: https://www.latex-project.org/publications )

2017-09-28  David Carlisle  <latex-bugs@latex-project.org>

	* tabularx.dtx: set \linewidth as well as \hsize in the column
	widths documentation.

2017-04-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Make \clearpage behave like \newpage (pr/4511)

2017-01-16  David Carlisle  <latex-bugs@latex-project.org>

	* bm.dtx: further fixes to luatex code branch for
	https://tex.stackexchange.com/questions/349001

2016-10-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* array.dtx: Fixed a 25 year old bug that surfaced for the first time.
	\@halignto needs to be managed locally (pr/4488)

2016-07-07  David Carlisle  <latex-bugs@latex-project.org>

	* bm.dtx: additional tests to cope with luatex's new treatment of
	\mathchar.

2016-07-01  David Carlisle  <latex-bugs@latex-project.org>

	* tabularx.dtx: show [tcb] optional argument in tabularx
	syntax description.

2016-06-07  David Carlisle  <latex-bugs@latex-project.org>

	* shellesc.dtx: typos in messages, and
	improve use with plain etex or luatex

2016-04-29  David Carlisle  <latex-bugs@latex-project.org>

	* shellesc.dtx: in classic tex code accidentally defined
	\ShellEscape twice instead of defining \DelayedShellEscape
	(Ulrike Fischer)

2016-04-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Reset \boxmaxdepth back to \maxdimen when outputting
	 pages (issue SX302532).

2016-02-27  David Carlisle  <latex-bugs@latex-project.org>

	* bm.dtx: add initial support for \Umathchardef defined tokens.

2016-02-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: Delay generating a "may loop" warning or error
	until we know that we aren't using \reftextfaraway
	-- thanks to Morten Hoegholm for the fix

2016-02-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: revamped some of the documentation to better
	explain how varioref could be used in a multi-lingual context

2016-02-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Ensure we are back in vmode before using
        \prevdepth (pr/4448)
        \col@number already initialized in the kernel, so not initializing
	it in the package in case the document is in two-column (pr/4435)

2016-02-03  David Carlisle  <latex-bugs@latex-project.org>

	* tabularx.dtx: support end code of {foo\endtabulax bar} again
          (Reported by Ulrike Fischer)

2016-02-02  David Carlisle  <latex-bugs@latex-project.org>

	* shellesc.dtx: Documentation typos (via Johannes_B at tex.sx)

2016-01-08  David Carlisle  <latex-bugs@latex-project.org>

	* shellesc.dtx: Added new package

2015-09-22 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* varioref.dtx: Fixed blunder from 2005 - galician option
	clearly never used

2015-08-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Reset \@textfloatsheight after page finishes (sx261884)

2015-04-02  Joseph Wright <joseph.wright@morningstar2.co.uk>
        * TDS-style zip improvements

2015-04-02 Joseph Wright <latex-team@latex-project.org>
       * Update CTAN link in README

2015-03-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: Another rewrite of \remove@discardable@items to
	capture the case of \vspace (remove) and \vspace* (keep) correctly

2015-03-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* multicol.dtx: additional tracing info if forced breaks result in
	overflow of column heights

2015-03-23  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: Detect when columns get too large during balancing
	because the user requested more forced breaks than available
	columns.

	Fixed the logic for removing excess white space at column bottoms
	(this is a source of trouble for sure)

2015-03-07  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: - Use only `0.0001fil' for stretching in \vfilmaxdepth
	 - Set \boxmaxdepth in multi@column@out to avoid material getting too
	far down
	 - Redesign the implementation of \end{multicols*}

2014-11-07 Joseph Wright <latex-bugs@latex-project.org>

       * Rename 00readme.txt to README (named README.txt in the development
         repository)

2014-10-28 Frank Mittelbach   <latex-bugs@latex-project.org>

	* multicol.dtx: In \end{multicols*} only add vertical space if not
	doing already doing \raggedcolumns and add \null to hide the final
	fill if added so that it doesn't get removed again.

2014-10-28  Frank Mittelbach  <latex-bugs@latex-project.org>
	* afterpage.dtx, array.dtx, bm.dtx, calc.dtx, dcolumn.dtx,
	delarray.dtx, enumerate.dtx, ftnright.dtx, hhline.dtx, layout.dtx,
	longtable.dtx, multicol.dtx, showkeys.dtx, tabularx.dtx,
	theorem.dtx, trace.dtx, varioref.dtx, verbatim.dtx, xspace.dtx

	Fixed typos found by Karl Berry in documentation (no version number change)

2014-09-12  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: change ragged columns to not just fill the
	column but also back up by \maxdepth if they otherwise become
	overfull as adding glue at the bottom means the column will
	never have any depth and before they had. (pr/4395)

	\maxdepth is applied to all column boxes. That was initially not
	necessary as \splitmaxdepth was doing the trick. However, the
	moment those boxes get reboxed this information is lost and
	resulted in some subtle errors. (pr/4395)

	Suppress even really bad overfull warnings while looping

2014-08-24  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: set \prevdepth to 0pt (in the right place)
	after adding the multicol material. Was not happening in boxed mode.
	Test for excessive depth of columns using > not = (which nearly
	ever will be correct)

2014-07-03    <latex-bugs@latex-project.org>

	* varioref.dtx: correct Romanian default text as suggested

2014-06-19  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: color-leak fix introduced a spacing problem in
	boxed mode as the added color commands were hiding any space
	at the bottom of the box material (which thus didn't get
	discarded)

2014-05-14  David Carlisle  <latex-bugs@latex-project.org>

	* readme.txt: rename to 00readme.txt.

2014-05-13  David Carlisle  <latex-bugs@latex-project.org>

	* tabularx.dtx: If \endtabularx not found, act as if it was at the start of
	the end code.

2014-04-24    David Carlisle  <david.carlisle@latex-project.org>

	* showkeys.dtx: modify \cite redefinition so {} in the optional argument
          works (tools/4162)

2014-04-23  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: Support \docolaction

2014-04-22  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx:
	   Bug fix: color leak (https://tex.stackexchange.com/questions/138783)
	   Bug fix: space at column bottom (https://tex.stackexchange.com/questions/121692)
	   Bug fix: Reset \@mparbottom after page finishes

2014-04-22  David Carlisle  <david.carlisle@latex-project.org>

	* tabularx.dtx: allow code before \endtabularx (pr/3722)

2012-02-06  David Carlisle  <david.carlisle@latex-project.org>

	* tabularx.dtx: Avoid exceeding maxdimen
          https://tex.stackexchange.com/questions/29194/how-to-typeset-tabularx-with-34-columns-error-message

2011-12-20  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: RL language support fixed
                        Support for \enlargethispage
                        Balancing concept improved
                        Bug fix: Only re-add output penalty if it was
                                 explicit in the source.

2011/11/24  David Carlisle  <david.carlisle@latex-project.org>

	* showkeys.dtx: revert change made at v3.14 because of tools/4173

2011-10-02  Frank Mittelbach  <latex-bugs@latex-project.org>

	* varioref.dtx: Previous fix need one more expansion
%                            (pr/4159,pr/4171)

2010-11-12  Frank Mittelbach  <latex-bugs@latex-project.org>

	* varioref.dtx: Avoid even \protected@edef in \vref@pagenum
	         to pacify french babel (pr/4093)

2010-10-24  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: right-to-left language support added

2010-08-06  Frank Mittelbach  <latex-bugs@latex-project.org>

	* multicol.dtx: typo corrections only -- thanks to Laurent Lyaudet

2010-08-04  Frank Mittelbach  <latex-bugs@latex-project.org>

	* varioref.dtx: Correct spacing -- same mistake as in \vref (pr/4123)
                        Defaults for esperanto added

2010-04-06  Will Robertson  <will.robertson@latex-project.org>

	* xspace.dtx: Improve edge case for xspace (tools/3895)

2010-02-25  Frank Mittelbach  <latex-bugs@latex-project.org>

	* ftnright.dtx: Check for split footnotes (pr/4099)

2009-09-13  Frank Mittelbach  <latex-bugs@latex-project.org>

	* varioref.dtx: Use \protected@edef to avoid problems
              in complicated setups, e.g., microtype (pr/4080)

2009-06-12  Frank Mittelbach  <latex-bugs@latex-project.org>

	* varioref.dtx: Incorrect text in \reftextafter (pr/4070)

2008-04-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: clarified customization with Babel in use.

2007-09-07 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Added defaults for islandic

2007-05-26 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: fixed missspellings of \extrasbazil and \extrasportuges

2006-09-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Make the color of the rule between columns (if
	any) a hook called \columnseprulecolor. Defaults to \normalcolor

2006-05-23 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: support for bulgarian added.

2006-05-14 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: support for croatian added.

2006-05-08 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Bug fix for verbatim in output routine.

2006-02-23 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Added \@minipagefalse to \end@dblfloat. Otherwise
	that switch may end up being true after a figure* has ended,
	messing up spacing afterwards randomly.

2006-02-12 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Modified so the \@let@token can be \outer. Avoid
	re-doing eTeX setup step multiple times for the original call of
	\xspace.

2006-01-09 Morten Hoegholm <latex-bugs@latex-project.org>

	* showkeys.dtx: Make \tag* and starred AMS environments work
	(pr/3693). Fix varioref support so \vref* also works
	(pr/3373). Added \showkeyslabelformat to avoid hard-wiring the
	label format.

2005-12-02 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Bahasa Malaysia defaults added.

2005-11-26 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Single hyphen rather than -- in range for spanish
	and galician.

2005-11-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Added a few more brazil strings
	Added a few more finnish strings
	Added further galician defaults (and corrected spelling)
	Corrections in italian strings

2005-10-04 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Improved expansion method. Added use of higher level
	functions for conditional processing. Simplified the code so that
	difference between eTeX and non-eTeX is minimal.

2005-09-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: corrected typo in documentation

2005-09-14 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: corrected one default for polish

2005-08-23 Morten Hoegholm <latex-bugs@latex-project.org>

	* array.dtx: Removed spurious space.

2005-08-06 Morten Hoegholm <latex-bugs@latex-project.org>

	* calc.dtx: Improved expansion of arguments, added new
	  commands \maxof, \minof, \totalheightof and
	  \settototalheight.

2005-07-26 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Improve test by exiting if \@let@token is a
	  letter. Add \xspaceremoveexception.

2005-07-24 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: small change in italian.
                        small fix in german and ngerman (pr/3793)

2005-06-09 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: fixed bug in Dutch localization (pr/3791)
	added localization for romanian (pr/3790)

2005-05-07 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Improve handling of active characters.

2005-04-24 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Ukranian defaults added (by Mykola Lyakhovych)

2005-04-09 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Basque defaults added (by I\~naki Larra\~naga
	Murgoitio)

2004-12-07 Morten Hoegholm <latex-bugs@latex-project.org>

	* xspace.dtx: Make extensible (tools/3712), fix active
	  characters (tools/3747) and update documentation.

2004-10-30 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Added missing defaults for italian (by Lapo Mori)

2004-07-03 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: fixing errors that happen only if multicol is
	compiled with a special combination of docstrip modules.

2004-05-08 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Use \@nil for testing in \is@pos@num

2004-02-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:  fixed a bug in magyar option

2004-02-15 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Avoid self-referencing definition of
	\@footnotetext (pr/3618)

2003-12-29 Frank Mittelbach <latex-bugs@latex-project.org>

	* fileerr.dtx: attempt to set exit code when reading x.tex (pr/3538)

2003-12-19 David Carlisle <latex-bugs@latex-project.org>

	* array.dtx: add \arraybackslash

2003-10-05 Frank Mittelbach <latex-bugs@latex-project.org>

	* bm.dtx: AMS version of \sqrt not working

2003-09-01 Frank Mittelbach <latex-bugs@latex-project.org>

	* bm.dtx: Forgotten to check for \hskip (pr/3572)

2003-08-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Added \@noligs again, as I can be sure that
	it is defined in the LaTeX kernel, so that other packages
	can rely on \@noligs always being used.

2003-04-30 Frank Mittelbach <latex-bugs@latex-project.org>

	* trace.dtx: added option full to trace everything; set a few more
	switches back to no-tracing on exit; make \tracingall trace full
	even when full is not specified

2003-04-17 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Catch problem with \columnbreak
	in last line (found by Ulrike Fischer)

2003-04-08 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Collect one additional line per column to account
	for vanishing space at column breaks

2003-03-29 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Options}):
	Afrikaans option contributed by Danie Els <dnjels@sun.ac.za>.

2003-03-18 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: changed the tracing output a bit

2003-03-15 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Further corrections to the micro-spacing around the boxes produced
	by multicols, so that grid typesetting (given right values for
	other parameters) becomes a possibility.
	Also added option "grid" which currently does nothing except
	producing a warning if the grid might got lost.

2003-02-17 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Add a kern to cancel potential depth of previous line at the
	beginning of a multicols and also suppsed \lineskip

	\multicolovershoot set back to 0pt as a default 2pt was simply
	wrong in some applications (pr/3465)

2003-01-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: changed error message when possible loop was
	detected.

	* somedefs.dtx: added version number to \ProvidesPackage line
	(pr/3490)

	* varioref.dtx: typo added a blank line into one macro

2003-01-08 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Use \vref@label instead of \label to avoid
	problems with amsmath. (pr/3489)

2002-11-22 Frank Mittelbach <latex-bugs@latex-project.org>

	* bm.dtx: Get math alphabets right (pr/3476)

2002-11-06 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Changed default for \reftextbefore for options
	english and american.
	This is an incompatible change, but the original was bad English!
	Changed default for \reftext...range for dutch as well.

2002-06-18 Frank Mittelbach <latex-bugs@latex-project.org>

	* fileerr.dtx: added space after ! better to match TeX's error
	style (pr/3414)

	* varioref.dtx: 	Use \vpageref inside \ref not \@vpageref
	to get spacing correct (pr/3403)

2002-06-14 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added \labelformat to support references that
	automatically add "text" around the referenced number.

	added \Ref and \Vref to generated references at the beinning of a
	sentence (might be needed if \reformat is used)

	added \vpagerefnum to support referencing the "number" within
	commands like \refpageafter, e.g.

	   \renewcommand\reftextfaceafter {on page~\thevpagerefnum}

	texts for "slovak" and "slovene" options added

2001-09-04 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: correct typo in name \vref -> \vr@f

2001-07-24 Frank Mittelbach <latex-bugs@latex-project.org>

	* trace.dtx: use ltxdoc not ltugboat class for docu

2001-05-28 Chris Rowley <latex-bugs@latex-project.org>

	* dcolumn.dtx:

        Documentation of centring improved (pr/3315)

2001-04-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: changed my mind and also added \vpagerefrange*

	* trace.dtx: added package to tools distribution

2001-04-12 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Defining the main macros}): Added
	\vref* and \vpageref* which do not add a space in front of the
	generated text (ever) so that they can be used in situations like
	(\vref{foo} ...) without added a space after the open parenthesis.

2001-01-12 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Updated nynorsk defaults

2000-12-30 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Updated Danish defaults

2000-10-23 Chris Rowley <latex-bugs@latex-project.org>

	* longtable.dtx:

	Added a \noexpand (as in array.sty) for mathtext.sty

2000-09-25 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx: Added the option italian as suggested by Claudio
	Beccari, back in august 1998...

2000-09-21 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx: Added the option german as proposed by Karsten
	Tinnefeld <karsten@tinnefeld.com> in PR 3259

2000-08-23 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Updated defaults for catalan

2000-08-21 Chris Rowley <latex-bugs@latex-project.org>

	* verbatim.dtx:

2000-07-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: fixed color problem with rules between columns
	(their color did depend on the color of the text at the break)

2000-07-09 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: Don't output space if optional argument
        to \vpageref is empty (pr/3230)

2000-06-11 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{The output routines}): when
	doing boxed mode do not restrict height of columns to \@colroom
	(pr/3212)

2000-05-05 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{Starting and ): Detect and fix
	problem if a multicols ends at the top of a page

2000-04-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added defaults for Czech

2000-04-15 Frank Mittelbach <latex-bugs@latex-project.org>

	* ftnright.dtx: Don't use math mode for footnote symbol
                        (pr/3172)

2000-01-11 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added naustrian and ngerman options

2000-01-07 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Disable hyphenation even if the font allows it.

1999-12-14 Rainer Schoepf <latex-bugs@latex-project.org>

1999-12-02 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: even more portugese defaults

1999-11-25 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added portuguese defaults

1999-10-21 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: allow multi-paragraph footnotes again. This functionality
	was lost when the footnotes got reimplemented some time ago. (Problem
	reported by Niels Ferguson)

1999-09-03 Frank Mittelbach <latex-bugs@latex-project.org>

	* DEFAULT.hea: updated for LPPL 1.2

	* DEFAULT.pre: updated for LPPL 1.2

1999-07-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Added some additional tracing code.
	When balancing check that last column doesn't contain a forced
        page break; if it does reject the solution.

1999-07-09 Frank Mittelbach <latex-bugs@latex-project.org>

	* updated headers to reflect LPPL 1.1

1999-06-18 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: added documentation for \columnsep

1999-06-12 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: minor documentation updates

1999-05-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* tools.ins: added colbreak guard for multicol.sty

1999-05-26 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{Manual column breaking}):
	Added a \columnbreak command to allow manual column breaks.

1999-05-01 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: reworded license text slightly

1999-03-22 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: re-add \cs{mark} command which was commented out
	by mistake at some point in 1998 (pr/2978)

1999-03-05 David Carlisle <latex-bugs@latex-project.org>

	* enumerate.dtx: extension hook tools/2916}

	* verbatim.dtx: Add \begingroup/\endgroup to definition of
	\verbatim(*)/\endverbatim(*) so that they can safely be
	used without \begin/\end.  Suggested by Donald Arseneau.

1999-03-04 Rainer Schoepf <latex-bugs@latex-project.org>

	* manifest.txt: Corrected typo.

1999-03-03 Rainer Schoepf <latex-bugs@latex-project.org>

	* tools.ins: New copyright info and preamble.

1999-02-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: fixed reference to ltx3info.tex in license

1999-02-13 David Carlisle <latex-bugs@latex-project.org>

	* readme.txt: lppl

1999-02-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: changed license text

1998-12-31 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx: Added \noexpand in front of \ialign
	to guard against interesting :-) changes to \halign done to support
	text glyphs in math

1998-12-03 Johannes Braams <latex-bugs@latex-project.org>

	* ftnright.dtx: Made \@makecol colorsafe by adding
	\color@begingroup, \color@endgroup and \normalcolor.

1998-11-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: taken out fix for (pr/1866) as it produce undesired
	results (see comments in doc of \vref)      (pr/2909)

	* varioref.dtx: Added two new user commands \vrefrange and
	\vpagerefrange to support referencing a range of labels.
	Also added customising commands \reftextlabelrange and
	\reftextpagerange to support the above commands.
	Added draft and final option (draft will turn errors into warnings).
	Added austrian defaults (same a german).
	Added greek defaults.
	Removed incorrect warning for italian.
	Added hungarian defaults.
	Added russian defaults.
	Added utility command \vrefpagenum and used it to shorten code
	this will also fix a problem that in certain circumstances varioref
	was not warning that another run was needed.

1998-09-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: test if document ends in middle of multicols
	and if so issue an error message instead of dying with an OR loop
	pr/2873

1998-08-17 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: new logic for dealing with \@footnotetext macro:
	instead of redefining its definition completely, thereby possibly
	overwriting a class change, we locally set \columnwidth to \textwidth
	and then call the original definition. this will also solves a problem
	with the situation of a footnote inside multicols inside a minipage
	would vanish.

	* varioref.dtx: added defaults for greek contributed by
	Apostolos Syropoulos <apostolo@obelix.ee.duth.gr>

1998-06-22 Frank Mittelbach <latex-bugs@latex-project.org>

	* layout.dtx: renamed \bs to \LayOutbs to avoid possible conflicts
	with other packages using this command. Originally the package
	redefined \bs in case it already had a definition.
	Also rename \type to \LayOuttype for the same reason.

	Added \@doendpe to definition of
	\endverbatim(*) (pr/3234)

1998-06-17 Chris Rowley <latex-bugs@latex-project.org>

	* calc.dtx:

        Added \widthof etc

        Made \ratio and \real robust

        Enhanced documentation
2004-02-27    <david.carlisle@latex-project.org>

	* bm.sty: fix for "new" AMS math accent code. tools/3256

2004-02-01    <david.carlisle@latex-project.org>

	* longtable.dtx: \nobreak after table head, for tools/3484

1998-05-13 David Carlisle <latex-bugs@latex-project.org>

	* tabularx.dtx:  Use \setlength so calc syntax may be used in
	the width argument. tools/2793.

	* longtable.dtx: Use \setlength so calc syntax may be used in p
	arguments. tools/2793.

1998-05-13 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx: also allow calc syntax in first arg of tabular*
        (pr/2793)

1998-05-12 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx: set the \hsize for p columns (and others) via
	\setlength so that calc syntax can be applied (pr/2793)

1998-05-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: support for amsmath displays (pr2175)
	Actually this probably should be fixed in amsmath instead.

1998-04-25 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added galician defaults contributed by Matthias
	Moebius.

1998-03-09 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: replace ~ by \nobreak\space so that \vref obeys
	setting of \frenchspacing  (pr/1866)

1998-01-29 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: Removed group around contents of optional argument
	to \begin{multicols}{2}[...] so that the use of \section within
	this argument works better.

	* array.dtx: made \multicolumn long to match kernel change for
	pr/2180 (forgotten at that time)

1998-01-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{Not balancing the columns}):
	added support for a version of multicols (star form) that doesn't
	balance the columns on the last page.
	Fixed a bit of the documentation (so that a toc is possible).

1997-12-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx: moving a docstrip guard. this doesn't change
	the style but prevents some code being added at the end of
	the driver file

1997-12-14 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: redefine \@footnotetext only within environment
	not globally any longer. pr/2689 + some docu updates

	* fileerr.dtx: fixed file date. pr/2689

1997-12-06 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added default for polish language.

1997-11-22 David Carlisle <latex-bugs@latex-project.org>

	* bm.dtx: Make \bm{\hat{A}} work like \bm{\hat A} (from c.t.t).

1997-11-18 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx: now finally set \columnwidth to width of column
	  pr2664

1997-11-16 David Carlisle <latex-bugs@latex-project.org>

	* bm.dtx: support mathcode hex 8000 (like prime) properly.
	Support null delimiter \left. constructions.
	Support breqn package.

1997-11-11 David Carlisle <latex-bugs@latex-project.org>

	* calc.dtx: Fix error message inserted at the weekend.

1997-11-08 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: add calc.

	* Makefile (FILES): add calc

	* tools.ins: add calc.

	* calc.dtx: Contributed to the distribution by
	Kresten Krab Thorup and Frank Jensen. One minor change, use
	\PackageError rather than the primitive \errormessge.

1997-10-16 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: avoid using % in aux file. tools/2631

1997-10-13 David Carlisle <latex-bugs@latex-project.org>

	* xspace.dtx: test for space token added for tools/2632

1997-10-09 David Carlisle <latex-bugs@latex-project.org>

	* bm.dtx: Add extra braces around group code so \bm{\frac..} does
	the right thing. (Spotted on c.t.t)

1997-10-06 David Carlisle <latex-bugs@latex-project.org>

	* dcolumn.dtx: Document use of math mode. tools/2616.

1997-09-18 David Carlisle <latex-bugs@latex-project.org>

	* tabularx.dtx: Fix \write catch for tools/2607.
 	(Fix page 401 of TeXBook at same time...)

1997-07-09 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* tabularx.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* showkeys.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* multicol.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* longtable.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* layout.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* delarray.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

	* array.dtx: Documentation fixes by Andreas Schwab
 	<schwab@issan.informatik.uni-dortmund.de>.

1997-07-07 Frank Mittelbach <latex-bugs@latex-project.org>

	* tools.ins:  added q.tex and r.tex files so that "run" and
	  "quit" mode is now also supported.

	* fileerr.dtx: added q.tex and r.tex files so that "run" and
	  "quit" mode is now also supported.

1997-06-28 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: New email address for David K.

1997-06-13 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: support cite package for tools/2490

1997-06-12 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx: added support for catalan

1997-06-05 Rainer Schoepf <latex-bugs@latex-project.org>

	* multicol.dtx: Applied improvement of documentation, kindly done
 	by Robin Fairbairns.

1997-05-13 Rainer Schoepf <latex-bugs@latex-project.org>

	* fontsmpl.dtx: Replaced \@changed@x@err by
 	\TextSymbolUnavailable, according to the change in ltoutenc.dtx.

1997-04-30 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx (\verbatiminput): Added code to check for
	existence of file to be input and print error message if not.

1997-04-14 David Carlisle <latex-bugs@latex-project.org>

	* tools.ins: add bm

	* bm.dtx: Add to tools bundle.
	Add \boldsymbol as alias for \bm

1997-02-26 David Carlisle <latex-bugs@latex-project.org>

	* tabularx.dtx: Spurious brace removed. Jean-Pierre Drucbert.

1997-02-20 David Carlisle <latex-bugs@latex-project.org>

	* tabularx.dtx: improve behaviour in case table too wide.

1996-12-06 David Carlisle <latex-bugs@latex-project.org>

	* xspace.dtx: alltt support. tools/2322.

1996-11-21 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: new page break control.

1996-11-02 David Carlisle <latex-bugs@latex-project.org>

	* readme.txt: Add old docstrip note.

1996-11-01 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: colour option.  tools/2297.

	* tools.ins: new style.

1996-10-24 David Carlisle <latex-bugs@latex-project.org>

	* xspace.dtx: Fix guards for driver document. tools/2206

1996-09-25 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx (\verbatiminput): Added \@addtofilelist and
 	\ProvidesFile so that the name of the file read in appears in the
 	\listfiles output.

1996-09-23 David Carlisle <latex-bugs@latex-project.org>

	* dcolumn.dtx: Fix case where no decimal point is used
        in the `new' case of a the third argument being n.m.

Fri Sep  6 15:24:17 1996  David Carlisle  <carlisle@cs.man.ac.uk>

        * showkeys.dtx: more changes following from /2252.

Fri Aug 30 18:09:48 1996  David Carlisle  <carlisle@cs.man.ac.uk>

        * showkeys.dtx: more fudges for AMS tools/2252, and extra
        group from Donald A. tools/2147

Wed Jul 10 11:15:30 1996  David Carlisle  <carlisle@cs.man.ac.uk>

        * showkeys.dtx: Missing percent added for tools/2215

1996-06-14 David Carlisle <latex-bugs@latex-project.org>

	* array.dtx: change \kern\z@ to \hskip1sp for latex/2160
	A few long lines wrapped.

1996-06-04 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: \verbatim@noligs@list now processed after
	\dospecials (PR 2138).

1996-05-25 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx (subsection{Support for
          \texttt{\textbackslash firsthline} and ):
	  Complete reimplementation after Mark Wooding pointed out that
	  they were everything else than correct --- hope i got it
	  right this time :-)

1996-05-24 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Add a warning to re run LaTeX \AtEndDocument if
	any longtable has failed to align on this run.

1996-05-17 David Carlisle <latex-bugs@latex-project.org>

	* xspace.dtx: Add / to list of punctuation characters.

	* showkeys.dtx: use \protected@edef rather than \def
	so that the expansion of any macros is printed. tools/2147

1996-05-07 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: add \hfil to match array package change.

	* array.dtx: add \hfil to \@endpbox for tools/2120 (and to match
	kernel version).

1996-04-22 David Carlisle <latex-bugs@latex-project.org>

	* array.dtx: Extra \kern\z@ for empty l colummns. latex/2122

1996-04-16 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Version 4.02 using new algorithm of David Kastrup
	to align tables without \setlongtables command.

1996-02-28 David Carlisle <latex-bugs@latex-project.org>

	* dcolumn.dtx: New feature (tools/2093) D{.}{.}{3.2} specifies a
	column of figures that should be centred, assuming 3 places to
	the left of the decimal point and 2 to the right.

1996-02-01 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: allow \multicolumn and \hline to work inside
	tabulars inside longtables. tools/2068

1996-01-13 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Explain why with \OnlyDescription there will be an unresolved
	reference pr/2047.

1996-01-03 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: (Martin Schr"oder) remove ! which causes a
	makeindex error in \changes entry. tools/2035

1996-01-01 Frank Mittelbach <latex-bugs@latex-project.org>

	* ftnright.dtx:
	Finally got around to take out ltxdoc and use article for
        documentation. pr/536
	Also cleaned up use of ProvidesPackage.

1995-12-28 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx:
	Fixed section headings so that a toc is possible. pr/2033.

	* multicol.dtx:
	Fixed index entries. pr/2036

1995-12-12 David Carlisle <latex-bugs@latex-project.org>

	* tools.dst: Add trap for old docstrip.

1995-11-23 David Carlisle <latex-bugs@latex-project.org>

	* theorem.dtx: Fix \@newctr usage (Ulrik Vieth)

	* layout.dtx: Documentation fixes (J"org Knappen).

	* indentfirst.dtx: (Ulrik Vieth) Fix \GetFileInfo usage.
          In the documentation.

1995-11-22 David Carlisle <latex-bugs@latex-project.org>

	* tools.dst: New style concurrent generation.

	* showkeys.dtx: Fix \harvarditem: add SK code after the implicit
	  \item (as for \cite) not before.

1995-11-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* theorem.dtx:
	Ensure that there is an error message if one of the counters
	in newtheorem are undefined pr/1861.

	* array.dtx (subsection{Getting the spacing around rules right}):
	ensure that the space between \hline\hline is visually \doublerulesep
	and does not depend of the rulewidth (as it does with standard latex)
	pr/1945
	Added some documentation about rule handling concepts.

1995-11-09 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: (Anil K Goel) Really measure the size of the
	  first row of the table not `assume' the size from the array
	  strut. (Avoids really bad first page break with two headings)

	* showkeys.dtx: Take more care over redefining \protect commands

1995-11-02 David Carlisle <latex-bugs@latex-project.org>

	* array.dtx: Minor doc changes, no more ooverfull hboxes...

1995-10-30 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : Added command \layout* wbhich recomputes the values
	it needs before making the picture of the layout. (PR 1465)

1995-10-30 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: Fix for tools/1744 (notref/varioref case)
          Add final and draft options
          Fix inner vmode case which could cause extra white space
          to be added.

1995-10-29 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx (section{The implementation}): Added the options
	spanish, braziolian and portugues, as provided by
	Ausberto S. Castro V. <ascv@inf.ufrgs.br> (PR 1837)

1995-10-27 David Carlisle <latex-bugs@latex-project.org>

	* afterpage.dtx: tools/1579/1880/1884

1995-10-19 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Added defaults for Italian pr/1888

	* multicol.dtx:
	Added \@largefloatcheck so that floats being too large
        will produce a warning.  pr/1890

1995-09-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Corrected vertical spacing if verbatim is nested
 	in quote (and other) environment. This error was introduced with
	version v1.3c (1990/02/26). Clarified documentation on how to
	define new verbatim-like environments.

1995-08-06 Frank Mittelbach <latex-bugs@latex-project.org>

	* tools.dst:
	Updated copying conditions so that it is allowed to distribute
	unpacked files together with the sources.

1995-08-04 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Changed class used for documentation from
	article to ltxdoc. pr/1788

1995-06-25 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : The june 1995 release of LaTeX no longer needs two
	hash marks when defining a newcommand inside the argument of
	\DeclareOption.

1995-06-15 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: replace ## by # in \DeclareOption, latex/1557

1995-05-25 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Modify Caption handling again.

1995-05-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Updated \DeclareOption declarations to reflect ##1 -> #1 change. pr/1557

1995-05-07 Frank Mittelbach <latex-bugs@latex-project.org>

	* fontsmpl.dtx:
	Removed \pagestyle{empty} so that all pages produced by fontsmpl.tex
	are numbered. pr/1559

1995-05-03 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Removed extra backslash in argument to \cs.

1995-05-02 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Explitly reset page height for tools/1584.
        Modify caption handling.

1995-04-26 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Removed \fileversion and \filedate.

1995-04-25 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Modify brace hacks cf tools/1571
        Allow 1100 longtables in a single document---A bug reported on a
	`real document' by Mike Van Geest!

	* showkeys.dtx: Fix inner horz mode case.
        Add option handling: notref and notcite to stop the
        redefinitions of those commands.

1995-04-23 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx (section{The line separator \\}):
	Fixed a serious bug that was present right from the beginning:
        in some cases the last column of an array line could get an extra
	math ord messing up the spacing. pr/1571.
	(subsection{Bugs and Features}):
	Added comment about the fact that a column (execpt for the first) refers to
	the column specifier plus intercolumn material to the *right*.
	Therefore \multicolumn{2}{|c|} is normally incorrect. pr/1443

1995-04-08 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : Added the options 'integers' and 'reals'. The
	default is the option 'integers'; this results in the 'old'
	behaviour, where the values of parameters are presented
	truncated. Using the option 'reals' will switch to presenting the
	real val;ues of the parameters. This also affects the definition
	of \Show and \Type.

1995-04-06 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Options}):
	Added norsk and nynorsk strings.
	Modified Warning message about undefined Option texts.

1995-04-03 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : Simplified the definition of \Show and \Type, the
	effect is that now the complete value is shown (PR #1520)

1995-03-20 David Carlisle <latex-bugs@latex-project.org>

	* tabularx.dtx: Allow \tabularx to be used inside
          \newenvironment definitions

1995-03-17 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: Fix for tools/1434  (showkeys affecting footnote
	  placement)

1995-03-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Fixed colour support (thanks to David)
	Clarified copyright notice.
	Updated driver file.

1995-03-16 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: Fix for tools/1181 (Bad placement in with \item
	  and \bibitem) and tools/1496  (Working with new ams*)

1995-03-14 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : Added the options french and francais (thanks to
	Eric Picheral <Eric.Picheral@univ-rennes1.fr> who provided the
	translations); introduced \notshown

1995-01-10 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Added swedish strings.

1994-12-08 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Add \tabularnewline.

	* array.dtx: Add \tabularnewline.

1994-11-22 David Carlisle <latex-bugs@latex-project.org>

	* tools.dst: Avoid generating error messages on `.tex'.

1994-11-15 David Carlisle <latex-bugs@latex-project.org>

	* xspace.dtx: Make robust, add !

1994-10-29 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx : Some of the dutch words should really be one word
	instead of two (PR #1078)

1994-10-25 Rainer Schoepf <latex-bugs@latex-project.org>

	* verbatim.dtx: Changed code for handling verbatim as first thing
	after an \item command. (This change had already been done in the
	LaTeX2e kernel.)

	* verbatim.dtx: Removed extra \typeout lines.

1994-10-15 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx (subsection{Support for ...):
	Added \firsthline and \lasthline from Companion.

1994-10-03 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Correct change from 26 of August. Leave old code only add the new
	one.

1994-09-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Added strings for breton language, this also means adding a new option.

1994-09-25 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Added danish strings.

1994-09-23 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Options}):
	Added finnish strings.

1994-09-09 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: add \citefullauthor for (forthcoming) natbib.

1994-09-08 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx: Stored texts in control sequences to allow the use
	of other languages. Added the options english (default) and
	dutch.

	* tools.dst: Added the layout package

1994-09-07 David Carlisle <latex-bugs@latex-project.org>

	* showkeys.dtx: Version 3, supports varioref ref styles, and
	  natbib and harvard citation styles.
	  Also modify `internal vertical mode' case, to cope with modified
	  \caption behaviour in the LaTeX2e classes.
	  Modify \GetFileInfo usage, as suggested by Patrick Daly.

1994-08-26 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{The output routines}):
 	Check explicitly for void boxes before assigning the current column
	   width to their width, because void boxes will not change.
	Extract the kept marks before adding a penalty -10000 to the output box
	  when balancing, otherwise no marks will be found. (This bug was
	  introduced recently.

1994-08-08 Frank Mittelbach <latex-bugs@latex-project.org>

	* tools.dst:
	Added a better informational message about the problems
	that can arise when LaTeX tries to generate the file `.tex'

1994-07-24 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Options}):
	Added dutch defaults as suggested by Frank Poppe.
	Explicitly expand label argument before passing it to \label, so that
	varioref will work with babel.
	Correct misspelling in spanish option.

1994-07-14 Johannes Braams <latex-bugs@latex-project.org>

	* layout.dtx: Moved the identification code to the front of the
	file.
	Needed to interchange to calls to \ttfamily and \footnotsize as
	\footnotesize calls \normalfont in compatibility mode.
	Added a check for negative arrowlength to \InsideHArrow

1994-06-30 David Carlisle <latex-bugs@latex-project.org>

	* longtable.dtx: Obey a \nofiles declaration. Remove special
	  handling of letter class, not needed for the latex2e version of
	  letter.

	* showkeys.dtx: Correct \ProvidesPackage usage (previously had two
	  \providesPackage commands),

1994-06-21 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx (subsection{Options}):
	Added french defaults as suggested by Daniel Flippo.

1994-06-20 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Correction was buggy, brace placed incorrectly.

1994-06-11 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	\vpageref[above][one ]{one} didn't work because first
	optional argument wasn't passed (found by Patrick Daly).

1994-06-07 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (section{New macros and hacks for version 1.2}):
	Updated float commands to contain \color@endgroup etc. so
	that they work together with the color.sty package.
	(Found by SPQR)

1994-06-01 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx:
	Added  \null to the end of \multicolumn. This fixes
	a bug that was long fixed in the original but never made it
	into array.sty.
	Use PackageError/Warning interface.

1994-06-01 David Carlisle <latex-bugs@latex-project.org>

	* somedefs.dtx: Use new style error commands.

1994-05-28 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx:
	Do not alloc \col@number any longer.
	Use Standard Warning/info messages.

	* fileerr.dtx:
	Added file to the collection.

1994-05-28 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: First draft.

	* readme.txt: First draft.
1994-05-27 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Warning about looping pages displayed in wrong order
	(found by Wolfgang Christen).
	(subsection{Defining the main macros}):
	Added help message for loop error.
	Use PackageError rather than \errmessage.
	Use DeclareRobustCommand.
	Added \NeedTeXFormat.

1994-05-26 Frank Mittelbach <latex-bugs@latex-project.org>

	* multicol.dtx (subsection{Starting and ):
	fixed bug with "premulticols" not being a register
	(tried to \the a string in tracing mode)

1994-05-18 Frank Mittelbach <latex-bugs@latex-project.org>

	* varioref.dtx:
	Added defaults for brazil.

1994-05-16 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx (section{The macros \texttt{\protect):
	Use \@finalstrut in \@endpbox

1994-03-23 Braams J.L. <latex-bugs@latex-project.org>

	* layout.dtx : repaired bug in twosided mode.

	Changed vertical positioning of the arrows identifying
	\amrginparsep and \marginparwidth

	Repaired bug in the preparation of the table of dimensions.

	Produce two pages in twoside mode

	Removed use of \wlog

1994-03-14 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx:
	Removed identification \typeout's.
	Removed the check for the old version of the \@tfor macro.

1994-02-28 Frank Mittelbach <latex-bugs@latex-project.org>

	* array.dtx:
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* ftnright.dtx:
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* multicol.dtx:
	Balance code rewritten; many changes to documentation etc.
	Changed driver code slightly.
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* theorem.dtx:
	Changed driver code slightly.
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.
